commit: 02196982135a2b96e825e93d3f2019a146a9350d
Author: Eric Joldasov <bratishkaerik <AT> getgoogleoff <DOT> me>
AuthorDate: Sun Apr 16 07:03:27 2023 +0000
Commit: Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Sat May 13 03:28:16 2023 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=02196982
dev-lang/zig: update LICENSE
Signed-off-by: Eric Joldasov <bratishkaerik <AT> getgoogleoff.me>
Signed-off-by: Sam James <sam <AT> gentoo.org>
dev-lang/zig/zig-0.10.1-r2.ebuild | 13 ++++++++++++-
dev-lang/zig/zig-9999.ebuild | 13 ++++++++++++-
2 files changed, 24 insertions(+), 2 deletions(-)
diff --git a/dev-lang/zig/zig-0.10.1-r2.ebuild
b/dev-lang/zig/zig-0.10.1-r2.ebuild
index fc06e3a6e545..6200470dec94 100644
--- a/dev-lang/zig/zig-0.10.1-r2.ebuild
+++ b/dev-lang/zig/zig-0.10.1-r2.ebuild
@@ -16,7 +16,18 @@ else
KEYWORDS="~amd64 ~arm ~arm64"
fi
-LICENSE="MIT"
+# project itself: MIT
+# There are bunch of projects under "lib/" folder that are needed for
cross-compilation.
+# Files that are unnecessary for cross-compilation are removed by upstream
+# and therefore their licenses (if any special) are not included.
+# lib/libunwind: Apache-2.0-with-LLVM-exceptions || ( UoI-NCSA MIT )
+# lib/libcxxabi: Apache-2.0-with-LLVM-exceptions || ( UoI-NCSA MIT )
+# lib/libcxx: Apache-2.0-with-LLVM-exceptions || ( UoI-NCSA MIT )
+# lib/libc/wasi: || ( Apache-2.0-with-LLVM-exceptions Apache-2.0 MIT BSD-2 )
public-domain
+# lib/libc/musl: MIT BSD-2
+# lib/libc/mingw: ZPL public-domain BSD-2 ISC HPND
+# lib/libc/glibc: BSD HPND ISC inner-net LGPL-2.1+
+LICENSE="MIT Apache-2.0-with-LLVM-exceptions || ( UoI-NCSA MIT ) || (
Apache-2.0-with-LLVM-exceptions Apache-2.0 MIT BSD-2 ) public-domain BSD-2 ZPL
ISC HPND BSD inner-net LGPL-2.1+"
SLOT="$(ver_cut 1-2)"
IUSE="doc"
diff --git a/dev-lang/zig/zig-9999.ebuild b/dev-lang/zig/zig-9999.ebuild
index 2fbe3863ef40..2346feadd70a 100644
--- a/dev-lang/zig/zig-9999.ebuild
+++ b/dev-lang/zig/zig-9999.ebuild
@@ -16,7 +16,18 @@ else
KEYWORDS="~amd64 ~arm ~arm64"
fi
-LICENSE="MIT"
+# project itself: MIT
+# There are bunch of projects under "lib/" folder that are needed for
cross-compilation.
+# Files that are unnecessary for cross-compilation are removed by upstream
+# and therefore their licenses (if any special) are not included.
+# lib/libunwind: Apache-2.0-with-LLVM-exceptions || ( UoI-NCSA MIT )
+# lib/libcxxabi: Apache-2.0-with-LLVM-exceptions || ( UoI-NCSA MIT )
+# lib/libcxx: Apache-2.0-with-LLVM-exceptions || ( UoI-NCSA MIT )
+# lib/libc/wasi: || ( Apache-2.0-with-LLVM-exceptions Apache-2.0 MIT BSD-2 )
public-domain
+# lib/libc/musl: MIT BSD-2
+# lib/libc/mingw: ZPL public-domain BSD-2 ISC HPND
+# lib/libc/glibc: BSD HPND ISC inner-net LGPL-2.1+
+LICENSE="MIT Apache-2.0-with-LLVM-exceptions || ( UoI-NCSA MIT ) || (
Apache-2.0-with-LLVM-exceptions Apache-2.0 MIT BSD-2 ) public-domain BSD-2 ZPL
ISC HPND BSD inner-net LGPL-2.1+"
SLOT="$(ver_cut 1-2)"
IUSE="doc"